{% extends 'base.html' %}

{% block title %} List of employees {% endblock %}

{% block header %}
<li><a href="{{url_for('home.index')}}">Home</a></li><!--
--><li><a href="{{url_for('list_departments.ls_dep')}}">List of departments</a></li><!--
--><li><a id="now" href="{{url_for('list_employees.ls_emp')}}">List of employees</a></li><!--
--><li><a href="{{url_for('search.search')}}">&#128269;</a></li>
{% endblock %}

{% block section %}
<table>
	<tr>
		<th>Department</th>
		<th>Employee</th>
		<th>Salary</th>
	</tr>

	{% for emp in info_list %}
		{% for info in emp %}
			{% if info == emp.0 %}
			<tr>
				<td rowspan="{{counter[info.dep_name.department]}}">{{info.dep_name.department}}</td>
				<td>{{info.name}}</td>
				<td>{{info.salary}}</td>
			</tr>
			{% else %}
			<tr>
				<td>{{info.name}}</td>
				<td>{{info.salary}}</td>
			</tr>
			{% endif %}
		{% endfor %}
	{% endfor %}
</table>
{% endblock %}